/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.media.registry;

/**
 * MBean interface.
 */
public interface ManagedMediaFormatRegistryMBean extends org.jboss.system.ServiceMBean
{

   void bind(java.lang.String fileExtension, javax.emb.MediaFormat mediaFormat)
         throws javax.emb.FormatAlreadyBoundException;

   void rebind(java.lang.String fileExtension, javax.emb.MediaFormat mediaFormat);

   void unbind(java.lang.String fileExtension) throws javax.emb.FormatNotFoundException;

   javax.emb.MediaFormat lookup(java.lang.String fileExtension) throws javax.emb.FormatNotFoundException;

   java.util.Iterator fileExtensions();

}
